<?php
echo  "Procesando peticion...";
$tipo = $_POST["tipo"];
$monto = $_POST["monto"];
$cuotas = $_POST["cuotas"];
$total = $_POST["total"];



$cuota = $_POST["cuota"];
$cliente = $_POST["cliente"];
$id_cliente = $_POST["id_cliente"];
$id_venta = $_POST["id_venta"];
///$ruta = $_POST["ruta"];
$cobrador = $_POST["cobrador"];
///$usuario = $_POST["usuario"];
$tasa = $_POST["tasa"];
$numero= $_POST["numero"];
$vence = $_POST["fecha"];
$cliente = $_POST["cliente1"];
///$telefono = $_POST["telefono"];


$id_prestamo = $numero;

if ($tipo == "Diario") {
    $dias = 1;
}
if ($tipo == "Semanal") {
    $dias = 7;
}
if ($tipo == "Quincenal") {
    $dias = 15;
}
if ($tipo == "Mensual") {
    $dias = 30;
}


if(isset($_POST["btnAtras"])){
        echo "<script>
	            var param;
	            param ='tipo=$tipo';
	            param +='&cliente=$cliente';
	            param +='&vence=$vence';
	            param +='&cuotas=$cuotas';
	            param +='&tasa=$tasa';
	            param +='&monto=$monto';
	            param +='&numero=$numero';
	            param +='&cobrador=$cobrador';
	            window.location.href='nuevo_prestamo.php?'+param;
	        </script>";
}



require_once("../php/config.php");

$deuda = $monto;
$anos = $cuotas;
$interes = $tasa;
$hora = @date('G:m:i');
$h = mysql_query("insert into prestamos  set 
				                                cliente='$cliente',
												id_venta='$id_venta',
				                                id_cliente='$id_cliente',
				                                cobrador='$cobrador',
				                                fecha_prestamo='$vence',
				                                hora='$hora',
				                                balance_capital='$capital',
				                                balance_interes='$interes',
				                                monto_prestado='$monto',
				                                c_cuotas='$cuotas',
				                                tipo='$tipo',
				                                tasa='$tasa',
				                                monto_cuota='$cuota',
				                                balance='$total',
												usuario='".$_COOKIE['usuario']."',
                                                total='$total'") or die(mysql_error());

mysql_query("update ventas set balance='$total', financiamiento=1 where id_venta='$id_venta'") or die(mysql_error());
												
// hacemos los calculos...
if($tasa>0){
		$interes=$monto * $tasa/100;
	}else{
		$interes=0;
	}
	
	
	
	$m=$monto + $interes;
	$mcuota = $m / $ccuotas;
/////$m = ($deuda * $interes * (pow((1 + $interes), ($anos)))) / ((pow((1 + $interes), ($anos))) - 1);



// mostramos todos los meses...
for ($i = 1; $i <= $anos; $i++) {
    //Fecha de pagos
    $vence = @date('Y-m-d', strtotime($vence . ' + ' . $dias . ' days'));
    $vence = @date($vence);

    ///Total interes
    ///$totalint = $totalint + ($deuda * $interes);
    //interes por cada cuota
    ///$interes_po_cuota = $deuda * $interes;
    $capital_por_cuota = $cuota;
    

    $deuda = $m;
    if ($deuda < 0) {
        $deuda = 0;
    }
    
    $h = mysql_query("insert into cuotas  set 
				                                numero='$i',
				                                id_prestamo='$numero',
												id_venta='$id_venta',
				                                cliente='$cliente',
				                                cobrador='$cobrador',
				                                vence='$vence',
				                                capital='$cuota',
				                                balance='$cuota',
                                                total='$cuota',
                                                balance_capital='$cuota',
                                                balance_interes=0") or die(mysql_error());
          echo "<script>
	            
	            window.location.href='prestamos.php';
	        </script>";                                              

}
?>